尝试在Android Studio 2.2.1中运行新项目时出错

我只是更新到Android Studio 2.2.1的Mac。 然后我将JDK更新到版本8.尝试启动一个新项目并运行它。 我得到了以下错误:

错误:(1,1)评估项目':app'时发生问题。

java.lang.UnsupportedClassVersionError:com / android / build / gradle / AppPlugin:不支持major.minor版本52.0

我也试着回到JDK版本7,因为它在谷歌网站上说,JDK 8对于Mac来说是不稳定的。 仍然有同样的错误。

Solutions Collecting From Web of "尝试在Android Studio 2.2.1中运行新项目时出错"

检查你的Android构build工具的依赖关系。 在你的build.gradle,如果它的东西是这样的:

classpath "com.android.tools.build:gradle:+" 

它可能已经下载了2.2的alpha,并且可能会导致你所看到的错误。

尝试

 classpath "com.android.tools.build:gradle:2.1.0" 

如果您已经在使用正确的构build工具版本,但不断收到此错误,则可能是由于相同的原因导致您正在使用的第三方Android库之一。 您可以通过更改来强制使用依赖版本(包括传递)

 classpath "com.android.tools.build:gradle:2.1.0" 

 classpath('com.android.tools.build:gradle:2.1.0') { force = true } 

文件: 要点和官方gradle文件 。

选择标记

我也面临同样的问题。 我升级了Android Studio并强制执行,但是我们也需要在App Settings中configuration相同的设置。

您可以尝试将JAVA_HOME更新为指向JDK 8的位置。

在我的情况下,我更新了Android Studio项目的SDK设置,在我的PATH envvariables中更改了java版本,但仍然出现此错误。 只有更新JAVA_HOME帮助了我。

我也面临同样的问题。 我升级了Android Studio,并强制安装JDK 8,下载并安装了这个。 但我们也需要在应用程序设置中configuration相同的。

  1. 项目[右键单击应用程序模块] – >打开模块设置 – >从左菜单中selectSDK位置 – >configuration正确的JDK版本,即删除JDK的旧版本和更新path。 保存。
  2. 同步项目。

问题解决了!

如果您在Jenkins上 ,请查看Jenkins中的 Java版本– >pipe理Jenkins->全局工具configuration – > JDK

我不得不更新到JDK 8。

我在2.3 beta 1中有同样的错误,

修正如下:

下载最新的java jdk http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

在Android Studio中,转至文件>项目结构> SDK位置>selectJDK位置path以指向已安装的新JDK(例如:C:\ Program Files \ Java \ jdk1.8.0_111)

完成!

Ufff,我改变了一切,我能find的JDK 8,仍然没有结果,但后来我发现在Intellij中的Gradle设置(首选项> gradle> GradleJVM),这是错误的,改变了这个和woala。


我也遇到了这个问题,但是在事情发生之前我什么也没有改变。 我认为谷歌是故意的。 谷歌正在试图使用openJDK而不是JDK,因为谷歌和甲骨文之间的官司。 因此,在android的新版本2.2.0中,我们发现安装文件夹中有一些新的文件:

android studio 2.1文件

android studio 2.2文件

那么,我认为我们有两种方法来解决它:

  1. 更改您的操作系统的JDK环境variables。

  2. 只需单击菜单文件 – >项目结构,select使用embedded式JDK(推荐) 。 我select了这种方式,它的工作。

祝你好运…

我有一个同样的问题是什么对我来说是这样的。

去*文件>设置>(在面板左侧)构build,执行,部署。 然后点击Gradle

更新Gradle的选项。 点击它将时间3至4分钟,之后,错误消失。

最简单的方法是将Android Studio更新到v2.2.3,它包含JDK8的修复:

  • 修复了JDK8 / Kotlin编译器+ dx问题(问题227729)

这解决了我的问题。